<?php

# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
#
# contributor :Harisson
# 
#


require_once dirname(__FILE__) . '/../../../inc/classes/class.multipage.php';
require_once dirname(__FILE__) .'/class.dccc.php';

$plugin_url = 'tools.php?p=dcCC';
$plugin_name = 'dcCreativeCommons';
$plugin_aka_name ='dcCC';

$img_warning = './images/check_off.png';

//cc license stuffs

$arry_license_terms = array('by'=>'by','bynd'=>'bynd','byncnd'=>'byncnd','bync'=>'bync','byncsa'=>'byncsa','bysa'=>'bysa');

$arry_license_type = array('none'=>'none','audio'=>'audio','video'=>'video',
                           __('text')=>'text','image'=>'image','interactive'=>'net',
			   'blog'=>'blog');

$arry_license_jurisdiction = array(__('Austria')=>'at',__('Australia')=>'au',
                                   __('Belgium')=>'be',_('Brazil')=>'br',
                                   __('Canada')=>'ca',__('Germany')=>'de',
                                   __('USA/Great Britain')=>'en',__('Spain')=>'es',
				   __('Finland')=>'fi',__('France')=>'fr',
				   __('Croatia')=>'hr',__('Italia')=>'it',
				   __('Japan')=>'jp',__('Netherlands')=>'nl',
				   __('Portugal')=>'pt',__('Taiwan')=>'tw',
				   __('Generic')=>'');


$strReq = 'SHOW TABLES LIKE \''.DB_PREFIX.'%s\' ';

$rs = $con->select(sprintf($strReq,'cc'));
$installed= !$rs->isEmpty();
  
//lecture du fichier conf.ini

$conf_file = dirname(__FILE__).'/conf.ini';
iniFile::read($conf_file);

//define license repository

$cc_dir_rpath = $_SERVER['DOCUMENT_ROOT'].dc_app_url.dccc_dir;

define('DC_CC_DIR',$cc_dir_rpath);

if ((isset($_GET['mode']) && ($_GET['mode'] == 'add')) || (isset($_POST['add'])))
{
    $mode = 'add';    
} elseif ((isset($_GET['mode']) && ($_GET['mode'] == 'edit')) || (isset($_POST['edit']))) {
    $mode = 'edit';    
} elseif (isset($_POST['delete'])) {
    $mode = 'delete';
} elseif (!$installed) {
    $mode='install';
} elseif ((isset($_GET['mode']) && ($_GET['mode'] == 'uninstall')) ||(isset($_POST['uninstall']))) {
    $mode = 'uninstall';        
} else {
    $mode = 'list';
}

if (!isset($_REQUEST['page'])) {
    $_REQUEST['page'] = 1;
}

function cc_line($cc_user,$nb) 
{
  global $plugin_url;
  $date = strtotime($cc_user['date']); 
  $date_cc = strtotime($cc_user['user_cc_project_date']);
  
  if(dc_default_lang === 'en')
  {
  
   $date_cc = date('Y-m-d',$date_cc);
  
  }else{
  
   $date_cc = date('d-m-Y',$date_cc);
  }
  
  //print_r($cc_user); //debug
  
  $arry_license_link = array('by'=>'http://creativecommons.org/licenses/by/2.0/',
                           'bynd'=>'http://creativecommons.org/licenses/by-nd/2.0/',
			   'byncnd'=>'http://creativecommons.org/licenses/by-nc-nd/2.0/',
			   'bync'=>'http://creativecommons.org/licenses/by-nc/2.0/',
			   'byncsa'=>'http://creativecommons.org/licenses/by-nc-sa/2.0/',
			   'bysa' =>'http://creativecommons.org/licenses/by-sa/2.0/');
   
  $by_png = 'tools/dcCC/images/by.png';
  $nd_png = 'tools/dcCC/images/nd.png';
  $nc_png = 'tools/dcCC/images/nc.png';
  $sa_png = 'tools/dcCC/images/sa.png';
			   
  $cc_terms = htmlspecialchars($cc_user['user_cc_license_terms']);
  
  $cc_lang = ($cc_user['user_cc_jurisdiction']=== '')?htmlspecialchars($cc_user['user_cc_jurisdiction']):htmlspecialchars($cc_user['user_cc_jurisdiction']).'/deed.'.htmlspecialchars($cc_user['user_cc_jurisdiction']);
  $cc_base_url ='<strong>'.__('Url to Creative Commons license').' : '.'</strong>'.$arry_license_link[$cc_terms].$cc_lang.'<br />';
  
  switch($cc_terms)
  {
  
    case 'by':
    {      
      $cc_img1 = '&nbsp;<img src="'.$by_png.'" alt="'.__('by').'" title="'.__('attribution').'" />&nbsp;<br />';
      $cc_img2 ='';
      $cc_img3 ='';      
      break;
    }
    case 'bynd':
    {
      $cc_img1 = '&nbsp;<img src="'.$by_png.'" alt="'.__('by').'" title="'.__('Attribution').'" />&nbsp;';
      $cc_img2 = '&nbsp;<img src="'.$nd_png.'" alt="'.__('nd').'" title="'.__('No Derivative Works').'" />&nbsp;<br />';
      $cc_img3 = '';
      break;
    }
    case 'byncnd':
    {
      $cc_img1 = '&nbsp;<img src="'.$by_png.'" alt="'.__('by').'" title="'.__('Attribution').'" />&nbsp;';
      $cc_img2 = '&nbsp;<img src="'.$nc_png.'" alt="'.__('nc').'" title="'.__('No Commercial').'" />&nbsp;';
      $cc_img3 = '&nbsp;<img src="'.$nd_png.'" alt="'.__('nd').'" title="'.__('No Derivative Works').'" />&nbsp;<br />';
      break;
    }
    case 'bync':
    {
      $cc_img1 = '&nbsp;<img src="'.$by_png.'" alt="'.__('by').'" title="'.__('Attribution').'" />&nbsp;';
      $cc_img2 = '&nbsp;<img src="'.$nc_png.'" alt="'.__('nc').'" title="'.__('No Commercial').'" />&nbsp;<br />';
      $cc_img3 = '';
      break;
    }
    case 'byncsa':
    {
      $cc_img1 = '&nbsp;<img src="'.$by_png.'" alt="'.__('by').'" title="'.__('Attribution').'" />&nbsp;';
      $cc_img2 = '&nbsp;<img src="'.$nc_png.'" alt="'.__('nc').'" title="'.__('No Commercial').'" />&nbsp;';
      $cc_img3 = '&nbsp;<img src="'.$sa_png.'" alt="'.__('sa').'" title="'.__('Share Alike').'" />&nbsp;<br />';
      break;
    }
    case 'bysa':
    {
      $cc_img1 = '&nbsp;<img src="'.$by_png.'" alt="'.__('by').'" title="'.__('Attribution').'" />&nbsp;';
      $cc_img2 = '';
      $cc_img3 = '&nbsp;<img src="'.$sa_png.'" alt="'.__('sa').'" title="'.__('Share Alike').'" />&nbsp;<br />';
      break;
    }
  }
  
  $result_line = '<div class="ligne">' .
           '<h3 class="ligneTitre">' .
           '<a href="#" onclick="openClose(\'cc' . $cc_user['user_cc_id'] .'\',0); return false;">' .
           '<img src="images/plus.png" id="img_cc' . $cc_user['user_cc_id'] . '" alt="montre/masquer" title="montre/masquer">' .
           '</a>&nbsp;&nbsp;' .
           '<a href="' . $plugin_url . '&amp;mode=edit&amp;user_cc_id=' . $cc_user['user_cc_id'] . '" title="Edit : '.$cc_user['user_cc_id'] .'">' .
	    htmlspecialchars($cc_user['user_cc_project_name']) .'&nbsp;&nbsp; : '.$cc_user['user_cc_rights_name'] .'</a>' .
           '</h3>' .
           '<p class="ligneInfo">' . date('d-m-Y H:i:s', $date) . ' - ' . htmlspecialchars($cc_user['user_id']) . '</p>' .
           '<div style="display: none;" id="cc' . $cc_user['user_cc_id'] .'" class="comment">'.'<br />'.
	   '<h3 class="ligneTitre">'.__('Your Creative Commons project profile').'</h3>'.
	   '<p>'.
	   '<strong>'.__('Project license terms').' : '.'</strong>'.$cc_img1.$cc_img2.$cc_img3.'<br />'.
	   '<strong>'.__('Project name').' : '.'</strong>'. htmlspecialchars($cc_user['user_cc_project_name']).'<br />'.	   
	   '<strong>'.__('Project license jurisdiction').' : '.'</strong>'.htmlspecialchars($cc_user['user_cc_jurisdiction']).'<br />' . 
	   '<strong>'.__('Project license type').' : '.'</strong>'.htmlspecialchars($cc_user['user_cc_license_type']).'<br />'.
	   '<strong>'.__('Project date creation').' : '.'</strong>'.$date_cc.'<br />'.
	   '<strong>'.__('Project license description').' : '.'</strong>'.htmlspecialchars($cc_user['user_cc_project_description']).'<br />'.
	   '<strong>'.__('License maintainer name').' : '.'</strong>'.htmlspecialchars($cc_user['user_cc_maintainer_name']).'<br />'.
	   '<strong>'.__('License rights maintainer name').' : '.'</strong>'. htmlspecialchars($cc_user['user_cc_rights_name']).'<br />'.
	   $cc_base_url.
	   '</p>'.'<br />';	   
	   	   
  return $result_line;     
}

//switch mode
switch($mode) { 

  case 'list':
    	{
	  buffer::str('<ul class="user-info"><li class="ui-name">'.$plugin_aka_name.' : '.'&nbsp;'.helpLink('index&amp;plugin=dcCC', 'field delete_tables').__('uninstall table(s)').'</li><li class="ui-logout">'.
	  '<img src="'.$img_warning.'" alt="'.__('DANGER : irreversible action, be careful please').'" title="'.__('DANGER : irreversible action, be careful please').'" />&nbsp;'.
	  '<a href="'.$plugin_url.'&amp;mode=uninstall" title="uninstall '.$plugin_name.' table(s)" onclick="return window.confirm(\'' .
	   __('CAUTION !!! CAUTION !!! Are you sure you want delete tables from').' '.$plugin_name.' : '.__('You will loose all recorded data from this plugin').'\')">'.
	   __('Delete').' '.$plugin_aka_name.'</a></li></ul>');
	  	  
	  buffer::str('<h2>'.$plugin_name.'</h2>');
	  	  	  		  	  
	  $sql = 'SELECT COUNT(*) AS `nb_ccentry` FROM `' . DB_PREFIX . 'cc`';
          $rscount = $con->select($sql);
          $nb_ccentry = $rscount->field('nb_ccentry');
	  $max_pages = ceil($nb_ccentry / dccc_nb_displayed_item);
          $env = (!empty($_GET['env']) && $_GET['env'] <= $max_pages) ? $_GET['env'] : 1;
	  
	  $sql_cc='SELECT * FROM `' . DB_PREFIX . 'cc` ORDER BY `date` DESC LIMIT ' .
	  (($env - 1) * dccc_nb_displayed_item) . ',' .dccc_nb_displayed_item ;	
	  $rs_cc = $con->select($sql_cc);
	
	  $lum = new multipage($env, 'cc_line', $rs_cc->getData(), $nb_ccentry,dccc_nb_displayed_item);
          $lum->setOption('html_links', '<p>' . __('Page(s)') . ' : %s</p>');
          $lum->setOption('html_prev', '&lt;' . __('prev. page'));
          $lum->setOption('html_next', __('next page') . '&gt;');
          $lum->setOption('html_empty', '<p><strong>' . __('No entry yet') . '</strong></p>');
		  
        // JavaScript
        $js_openCloseAll = $h_script = '';
	
        $data = $rs_cc->getData();
	
        if (!empty($data)) {
            $ids = array();
            foreach($data as $key => $value) {
                $ids[] = 'cc' . $value['user_cc_id'];		
            }        
	    
        	$h_script =
        	'<script type="text/javascript">' . "\n" .
        	"js_ids = new Array('" . implode("','" , $ids) . "');\n" .
        	"window.onload = function() { mOpenClose(js_ids, -1); }\n" .
        	"</script>\n";
        	
        	$js_openCloseAll =
        	'<p class="small"><a href="#" onclick="mOpenClose(js_ids, 1)">' . __('show all') . '</a> - ' .
        	'<a href="#" onclick="mOpenClose(js_ids, -1)">' . __('hide all') . '</a></p>';			     
         }        
         	  	 
	 
	 buffer::str('<a href="' . $plugin_url . '&amp;mode=add">' . __('Add a new Creative Commons project license profile') . '</a><br /><br />');
	 	  	  	  	  	  	  	 	  
         buffer::str($lum->getLinks());
         buffer::str($h_script);
         buffer::str($js_openCloseAll);
         buffer::str($lum->getPage());        
         buffer::str($lum->getLinks());
	 
	 break;
    }

    case 'add':
    case 'edit':
    {
        buffer::str('<img src="images/ico_retour.png" alt="' . __('Back to list') . '"><a href="' . $plugin_url . '">' . __('Back to list') . '</a>');
          
        // If a cc profile has been posted we add or edit it
        if (isset($_POST['cc_submited'])) {
            
            // We check the user input
            $errors = array();
	    
	    if (trim($_POST['cc_name']) == '') 
	    {
                $errors[] = __('Project name required');
            }
	    if (trim($_POST['cc_project_date']) == '') 
	    {  
                $errors[] = __('Project date creation required');
            }  	    
	    if (trim($_POST['cc_description']) == '') 
	    {
                $errors[] = __('Description required');
            }
	    if (trim($_POST['cc_maintainer_name']) == '')
	    {
                $errors[] = __('Maintainer/creator name or nickname required');
            }            
	    if (trim($_POST['cc_rights_name']) == '')
	    {
                $errors[] = __('Rights maintainer/creator full name required');
            }	    	    	    	    
	    if (trim($_POST['cc_project_url']) == '') 
	    {
                $errors[] = __('Project url required');
            }
	    /*if (trim($_POST['cc_filename']) == '')
	    {
                $errors[] = __('Filename required');
            }*/
	    
	    if (count($errors) == 0) {
	    			  
		$user_id = $_SESSION['sess_user_id'];               				
										
                $user_cc_project_name = trim($_POST['cc_name']);
		
		$user_cc_jurisdiction = trim($_POST['cc_jurisdiction']);
		$user_cc_license_type = trim($_POST['cc_license_type']);		
		$user_cc_license_commercial = trim($_POST['cc_license_commercial']);
		$user_cc_license_modify = trim($_POST['cc_license_modify']);
				
		//license_terms (6 possible values, depends on cc_commercial,cc_modify : by,bynd,byndnc,byndsa,bysa,byncsa) 
		
		if(trim($_POST['cc_license_commercial']) === 'yes' && trim($_POST['cc_license_modify']) === 'yes')
		{
		  $user_cc_license_terms = 'by';
		
		}else if(trim($_POST['cc_license_commercial']) === 'yes' && trim($_POST['cc_license_modify']) === 'but'){
		
		  $user_cc_license_terms = 'bysa';
		
		}else if(trim($_POST['cc_license_commercial']) === 'yes' && trim($_POST['cc_license_modify']) === 'no'){
		
		 $user_cc_license_terms = 'bynd';
		
		}else if(trim($_POST['cc_license_commercial']) === 'no' && trim($_POST['cc_license_modify']) === 'yes'){
		
		 $user_cc_license_terms = 'bync';
		
		}else if(trim($_POST['cc_license_commercial']) === 'no' && trim($_POST['cc_license_modify']) === 'but'){
		
		  $user_cc_license_terms = 'byncsa';
		
		}else if(trim($_POST['cc_license_commercial']) === 'no' && trim($_POST['cc_license_modify']) === 'no'){
		
		  $user_cc_license_terms = 'byncnd';
		
		}else{
		
		  //error : use 'by' instead
		  $user_cc_license_terms = 'by';
		  
		}
		
		$user_cc_project_date = strtotime(trim($_POST['cc_project_date']));
		$user_cc_description = trim($_POST['cc_description']);
		$user_cc_maintainer_name = trim($_POST['cc_maintainer_name']);
		$user_cc_rights_name = trim($_POST['cc_rights_name']);
		$user_cc_project_url = trim($_POST['cc_project_url']);
		
		$user_cc_license_filename = (isset($_POST['cc_license_filename']) && 
		                             $_POST['cc_license_filename'] != '')?
					     $_POST['cc_license_filename']:$blog->str2url(trim($_POST['cc_name']));
		
		            
                if ($mode == 'add') {
                    $sql = 'INSERT INTO ' . DB_PREFIX . 'cc (`user_id`, `user_cc_id`,`date`,`user_cc_project_name`,`user_cc_license_filename`,`user_cc_jurisdiction`,
		           `user_cc_license_type`,`user_cc_license_commercial`,`user_cc_license_modify`,`user_cc_license_terms`,`user_cc_project_date`,
			   `user_cc_project_description`,`user_cc_maintainer_name`,`user_cc_rights_name`,`user_cc_project_url`
			   ) VALUES (
			   "'.$con->escapeStr($user_id).'", ' .
			   'NULL,' .
                           '"' . date('Y-m-d H:i:s', time()) . '", ' .
                           '"' .$con->escapeStr($_POST['cc_name']) . '", "' .
			   $con->escapeStr($user_cc_license_filename) . '", "' .
                           $con->escapeStr($_POST['cc_jurisdiction']) . '", "' .
			   $con->escapeStr($_POST['cc_license_type']) . '", "' .
			   $con->escapeStr($_POST['cc_license_commercial']) . '", "' .
			   $con->escapeStr($_POST['cc_license_modify']) . '", "' .
			   $con->escapeStr($user_cc_license_terms) . '", "' .
			   date('Y-m-d',$user_cc_project_date) . '", "' .
                           $con->escapeStr($_POST['cc_description']) . '", "' .
			   $con->escapeStr($_POST['cc_maintainer_name']) . '", "' .
			   $con->escapeStr($_POST['cc_rights_name']) . '", "' .
			   $con->escapeStr($_POST['cc_project_url']). '")';		   		      		    		   		   		   
                } else {
                    $sql = 'UPDATE ' . DB_PREFIX . 'cc SET ' .		    		     			   
			  '`user_cc_project_name`="' .$con->escapeStr($user_cc_project_name) . '", ' .
			  '`user_cc_license_filename`="' . $con->escapeStr($user_cc_license_filename) .'", ' .
			  '`user_cc_jurisdiction`="' .$con->escapeStr($user_cc_jurisdiction) . '", ' .
			  '`user_cc_license_type`="' .$con->escapeStr($user_cc_license_type) . '", ' .
			  '`user_cc_license_commercial`="' .$con->escapeStr($user_cc_license_commercial) . '", ' .
			  '`user_cc_license_modify`="' .$con->escapeStr($user_cc_license_modify) . '", ' .
			  '`user_cc_license_terms`="' .$con->escapeStr($user_cc_license_terms) . '", ' .
			  '`user_cc_project_date`="' .date('Y-m-d',$user_cc_project_date) . '", ' .
			  '`user_cc_project_description`="' . $con->escapeStr($user_cc_description) . '", ' .
			  '`user_cc_maintainer_name`="' . $con->escapeStr($user_cc_maintainer_name) . '", ' .
			  '`user_cc_rights_name`="' . $con->escapeStr($user_cc_rights_name) . '", ' .
			  '`user_cc_project_url`="' . $con->escapeStr($user_cc_project_url) .'" ' .
                          'WHERE `user_cc_id`=' . $_POST['user_cc_id'];
                }                       
                       
                if (!$con->execute($sql)) {
                    if ($mode == 'add') {
                        $errors[] = __('Error adding a Creative Commons project profile') . ' (' . $con->error() . ')';
                    } else {
                        $errors[] = __('Error editing a Creative Commons project profile') . ' (' . $con->error() . ')';
                    }
                } else {
				
                    if (defined('DC_UPDATE_FILE_W') && DC_UPDATE_FILE_W) {
            			files::touch(DC_UPDATE_FILE, time());
    		        }
							                   		    
                    if ($mode == 'add') {
		    
		        //create a dcCC object and save the rdf content in a file   		    
		        $dcCC = new dcCC(dc_encoding,$con->getLastID(),DC_CC_DIR,$mode);
			$dcCC->_retrieveData();
		        		    
                        $blog->tiggerLog(DB_PREFIX.'cc', $con->getLastID(), 'Add a Creative Commons project profile,CC file generated');
                    
		    } else {
		       
		        //retrieve the dcCC object datas ,erase previous file and recreate the file
		        $dcCC = new dcCC(dc_encoding,$_POST['user_cc_id'],DC_CC_DIR,$mode);
		        $dcCC->_retrieveData();
		       
		        $blog->tiggerLog(DB_PREFIX.'cc', $_POST['user_cc_id'], 'Edit a Creative Commons project profile,CC file regenerated');
                    }
                }
             }            
            
            if (count($errors) > 0) {
                $list = '<ul>';
    			foreach ($errors as $value) {
                    $list .= '<li>' . $value . '</li>';
                }
    			$list .= '</ul>';            
                buffer::str('<div class="erreur"><p><strong>' . __('Error(s)') . ' :</strong></p>' . $list . '</div>');
            } else {
                header('Location: ' . $plugin_url . '&mode=list');
            }
        } else { 
            if ($mode == 'add') {
	    			                
                buffer::str('<h2>' . __('Add a Creative Commons license profile') . '</h2>');
                						
		$rsUser = $blog->getUser($_SESSION['sess_user_id']);				
		
		$hidden_field = '';
		
		$user_cc_project_name = !empty($_GET['cc_project_name'])?$_GET['cc_project_name']:'';
		$user_cc_license_filename  = !empty($_GET['cc_license_filename'])?$_GET['cc_license_filename']:'';		
		$user_cc_jurisdiction  = '';
		$user_cc_license_type  = $arry_license_type['none'];
		$user_cc_license_commercial_yes = true;//permit commercial or not  (possible values : ('true'/'false',default = 'true')
		$user_cc_license_commercial_no  = false;
		$user_cc_license_modify_yes     = true;//permit share alike or not (possible values : ('true'/'but/yes with condition'/'no',default ='true')		
                $user_cc_license_modify_but     = false;
		$user_cc_license_modify_no      = false;
		$user_cc_project_date = date('Y-m-d',time());
		$user_cc_project_description = !empty($_GET['cc_desc'])?$_GET['cc_desc']:'';
		$user_cc_maintainer_name = !empty($_GET['cc_maintainer_name'])?$_GET['cc_maintainer_name']:$rsUser->f('user_nom').' '.$rsUser->f('user_prenom');
		$user_cc_rights_name = !empty($_GET['cc_maintainer_name'])?$_GET['cc_maintainer_name']:$rsUser->f('user_nom').' '.$rsUser->f('user_prenom');
		$user_cc_project_url = 'http://'.$_SERVER['HTTP_HOST'].dc_blog_url;
		$button_caption = __('Add');
		$delete_button ='';
		
            } else {
                buffer::str('<h2>' . __('Edit a Creative Commons license profile') . '</h2>');
		
                $hidden_field = '<p class="field">' . form::hidden('user_cc_id', $_GET['user_cc_id']) . '</p>';
                                
                $rs = $con->select('SELECT * FROM '.DB_PREFIX.'cc WHERE user_cc_id = "'.$_GET['user_cc_id'].'"'); 
				
		$user_cc_project_name  = $rs->field('user_cc_project_name');
		$user_cc_license_filename  = $rs->field('user_cc_license_filename');
		$user_cc_jurisdiction  = $rs->field('user_cc_jurisdiction');
		$user_cc_license_type  = $rs->field('user_cc_license_type');
		$user_cc_license_commercial = $rs->field('user_cc_license_commercial');
		
		if($user_cc_license_commercial === 'yes')
		{
		
		  $user_cc_license_commercial_yes = true;
		  $user_cc_license_commercial_no  = false;
		  
		}else{
		
		  $user_cc_license_commercial_yes = false;
		  $user_cc_license_commercial_no  = true;
		
		}
		
		$user_cc_license_modify = $rs->field('user_cc_license_modify');
		
		if($user_cc_license_modify === 'yes')
		{
		
		  $user_cc_license_modify_yes = true;
		  $user_cc_license_modify_but  = false;
		  $user_cc_license_modify_no  = false;
		  
		}else if ($user_cc_license_modify === 'but'){
		
		  
		  $user_cc_license_modify_yes = false;
		  $user_cc_license_modify_but  = true;
		  $user_cc_license_modify_no  = false;
		
		} else {
		
		  $user_cc_license_modify_yes = false;
		  $user_cc_license_modify_but = false;
		  $user_cc_license_modify_no  = true;
		}
		
		
	        $user_cc_project_date  = $rs->field('user_cc_project_date');
		$user_cc_project_description = $rs->field('user_cc_project_description');
		$user_cc_maintainer_name = $rs->field('user_cc_maintainer_name');
		$user_cc_rights_name = $rs->field('user_cc_rights_name');
		$user_cc_project_url = $rs->field('user_cc_project_url');							
                $button_caption = __('Edit');
                $delete_button = '&nbsp;<input name="delete" type="submit" class="submit" value="' . __('Delete') . '" onclick="return window.confirm(\'' .
		   __('Are you sure you want to delete this Creative Commons project profile ?') . '\')" />';               
	    }
            
            buffer::str(
            	'<form action="' . $plugin_url . '" method="post">'.
            	'<fieldset><legend>'.__('Creative Commons license form').'</legend>'.
                '<p class="field"><label for="cc_name"><strong>' . __('CC : project name') . '&nbsp;:</strong>&nbsp;<em>(' . __('not optional') .	')</em>&nbsp;' . helpLink('index&amp;plugin=dcCC', 'field cc_name').
		'</label>'.form::field('cc_name', 62, 255, $user_cc_project_name) . '</p>' .
		'<p class="field"><label for="cc_filename"><strong>' . __('CC : project file name') . '&nbsp;:</strong>&nbsp;<em>(' . __('optional') . ')</em>&nbsp;' . helpLink('index&amp;plugin=dcCC', 'field cc_filename').
		' <a href="#" '.
	        'onclick="document.forms[0].cc_filename.value=str2url(document.forms[0].cc_name.value,\''.dc_encoding.'\'); return false;">'.
	        __('Use').'</a>'.'</label>'.form::field('cc_filename', 62, 255, $user_cc_license_filename) . '</p>' .			
            	'<p class="field"><label for="cc_jurisdiction"><strong>' . __('CC : project jurisdiction') . '&nbsp;:&nbsp;</strong>'. helpLink('index&amp;plugin=dcCC', 'field cc_jurisdiction').
		'</label>'. form::combo('cc_jurisdiction',$arry_license_jurisdiction,$user_cc_jurisdiction) . '</p>' .							            	
            	'<p class="field"><label for="cc_license_type"><strong>' . __('CC : license type') . '&nbsp;:&nbsp;</strong>'. helpLink('index&amp;plugin=dcCC', 'field cc_license_type').
		'</label>'.form::combo('cc_license_type',$arry_license_type,$user_cc_license_type) . '</p>' .						
            	'<p class="field"><label for="cc_license_commercial"><strong>' . __('CC : allow commercial uses of your work?') .'&nbsp;:&nbsp;</strong>'.helpLink('index&amp;plugin=dccc', 'field cc_license_commercial').
		'</label>'.
		form::radio('cc_license_commercial','yes',$user_cc_license_commercial_yes) .'&nbsp;<em>' .__('Yes'). '</em><br />'.		
		form::radio('cc_license_commercial','no',$user_cc_license_commercial_no) .'&nbsp;<em>' .__('No'). '</em><br />'.'</p>' .				
		'<p class="field"><label for="cc_license_modify"><strong>' . __('CC : allow modify uses of your work?') . '&nbsp;:&nbsp;</strong>' .helpLink('index&amp;plugin=dccc', 'field cc_license_modify').
		'</label>'.
		form::radio('cc_license_modify','yes',$user_cc_license_modify_yes) .'&nbsp;<em>' .__('Yes'). '</em><br />'.		
		form::radio('cc_license_modify','but',$user_cc_license_modify_but) .'&nbsp;<em>' .__('Yes, as long as others share alike'). '</em><br />'.		
		form::radio('cc_license_modify','no',$user_cc_license_modify_no) .'&nbsp;<em>' .__('No'). '</em><br />'.'</p>' .			
		'<p class="field"><label for="cc_project_date"><strong>' . __('CC : project creation date') . '&nbsp;:</strong>&nbsp;<em>(' . __('not optional') . ')</em>&nbsp;' . helpLink('index&amp;plugin=dcCC', 'field cc_project_date').
		'</label>'.form::field('cc_project_date', 11, 10, $user_cc_project_date) . '</p>' .		
		'<p class="field"><label for="cc_description"><strong>' . __('CC : project description') . '&nbsp;:</strong>&nbsp;<em>(' . __('not optional'). ')</em>&nbsp;' . helpLink('index&amp;plugin=dcCC', 'field cc_description') . 
		'</label>' .form::textArea('cc_description', 60, 10, $user_cc_project_description) . '</p>'.				
		'<p class="field"><label for="cc_maintainer_name"><strong>' . __('CC : Creator\'s/Maintainer\'s name or nickname') .'&nbsp;:</strong>&nbsp;<em>(' . __('not optional') . ')</em>&nbsp;' . helpLink('index&amp;plugin=dcCC', 'field cc_maintainer_name') . 
		'</label>' .form::field('cc_maintainer_name', 62, 255, $user_cc_maintainer_name) . '</p>'.
                '<p class="field"><label for="cc_rights_name"><strong>' . __('CC : copyright holder\'s name') . '&nbsp;:</strong>&nbsp;<em>(' . __('not optional') . ')</em>&nbsp;' . helpLink('index&amp;plugin=dcCC', 'field cc_rights_name').
		'</label>'.form::field('cc_rights_name', 62, 255, $user_cc_rights_name) . '</p>' .            	
		'<p class="field"><label for="cc_project_url"><strong>' . __('CC : project url') . '&nbsp;:</strong>&nbsp;<em>(' . __('not optional') .	')</em>&nbsp;' . helpLink('index&amp;plugin=dcCC', 'field cc_project_url') . 
		'</label>' .form::field('cc_project_url', 62, 255, $user_cc_project_url) . '</p>' .               						
		$hidden_field . 
		'<p class="field">' . form::hidden('cc_submited', true) . '</p>' .
		'</fieldset>'.
                '<p class="field">' . 
                '<input name="' . $mode . '" type="submit" class="submit" value="' . $button_caption . '" />' .
                $delete_button .               
                '</p>' .
            	'</form>'
            );
        }        
        break;
    }
    
    case 'delete':
    {     
    
       	$sql = 'DELETE FROM ' . DB_PREFIX . 'cc WHERE `user_cc_id`=' . $_POST['user_cc_id'];
		
        if (!$con->execute($sql)) {
            buffer::str('<div class="erreur"><p><strong>' . __('Error(s)') . ' :</strong></p>' . __('Error removing CC entry') .$con->error(). '</div>');
        } else {
            if (defined('DC_UPDATE_FILE_W') && DC_UPDATE_FILE_W) {
    			files::touch(DC_UPDATE_FILE, time());
            }
	    
	    //erase the cc rdf file
	    	    
	    $dcCC = new dcCC(dc_encoding,$_POST['user_cc_id'],DC_CC_DIR);
	    	                	    
	    $filename = 'license-'.$_POST['cc_filename'].'.rdf';
	    
	    $dcCC->_eraseCCFile($filename);
	    
	    $blog->tiggerLog(DB_PREFIX.'cc',$_POST['cc_name'] , 'A CC profile has been deleted');
            
	    
	   header('Location: ' . $plugin_url . '&mode=list');
        }    
        break;
    }       
         
    case 'install':
    {
       include_once dirname(__FILE__).'/install/index.php';
       break;
    }
    case 'uninstall':
    {
       include_once dirname(__FILE__).'/uninstall/index.php';
       break;
    }   
}

?>
