<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

require_once dirname(__FILE__).'/../../../../inc/classes/class.checklist.php';
require_once dirname(__FILE__).'/../../../../inc/classes/class.xmlsql.php';

$img_chk_on  = './images/check_on.png';
$img_chk_off = './images/check_off.png';
$img_chk_wrn = './images/check_wrn.png';
$images_dir = dirname(__FILE__).'/../images';

buffer::str('<h2>'.$plugin_name.' : Installation</h2>');

if ($installed)
{
     buffer::str('<p>'.$plugin_name.'&nbsp;'.__('seems to be already installed,leave install directory').'</p>');
          
}
else
{
        $sql_check = new checklist();
        
        $xsql = new xmlsql($con,implode('',file(dirname(__FILE__).'/db-create.xml')));
        $xsql->replace('{{PREFIX}}',DB_PREFIX);
        $xsql->execute($sql_check);
                      
        buffer::str('<h2>'.__('Tables creation').'</h2>');
        
        buffer::str($sql_check->getHTML($img_chk_on,$img_chk_off,$img_chk_wrn));
        
        if (!$sql_check->checkAll())
        {
           buffer::str('<p class="important">'.__('Unable to create all tables. Please check if the tables don\'t exist yet.').'</p>');
        }
        else
        {
                 buffer::str( '<p><strong>'.__('Table(s) successfully created.').'</strong></p>');
		 
		 //check if dccc_dir exists 
		 
		 $res = files::scandir(DC_CC_DIR);
		 
		 if($res === false)
		 {
		   files::makeDir(DC_CC_DIR);
		   buffer::str( '<p><img src="'.$img_chk_on.'" alt="ok" />&nbsp;<strong>'.__('Directory').' '.dccc_dir.' '.__('successfully created.').'</strong></p>');
		   
		 }else{
		 
		   buffer::str( '<p><img src="'.$img_chk_wrn.'" alt="warning" />&nbsp;<strong>'.__('Unable to create').' : '.dccc_dir.' '.__('already exists or creation error').'</strong></p>');
		 
		 }
		 
		 $temp_dir = $_SERVER['DOCUMENT_ROOT'].dc_img_url;
		 
		 $res_img_cc = is_file($temp_dir.'cc.png');
		 $res_img_cc_big = is_file($temp_dir.'cc_big.png');
		 $res_img_somerights20 = is_file($temp_dir.'somerights20.png');
		 
		 if($res_img_cc != false)
		 {
		 
		   buffer::str( '<p><img src="'.$img_chk_wrn.'" alt="warning" />&nbsp;<strong>'.__('Unable to create').' : '.$temp_dir.'cc.png'.' '.__('already exists or creation error').'</strong></p>');
		 
		 }else{
		 
		   files::copyRemote($images_dir.'/cc.png',$temp_dir.'cc.png');
		   buffer::str( '<p><img src="'.$img_chk_on.'" alt="ok" />&nbsp;<strong>'.__('File').' '.$temp_dir.'cc.png'.' '.__('successfully created').'</strong></p>');
		 }
		 
		 if($res_img_cc_big != false)
		 {
		 
		   buffer::str( '<p><img src="'.$img_chk_wrn.'" alt="warning" />&nbsp;<strong>'.__('Unable to create').' : '.$temp_dir.'cc_big.png'.' '.__('already exists or creation error').'</strong></p>');
		 
		 }else{
		 
		   files::copyRemote($images_dir.'/cc_big.png',$temp_dir.'cc_big.png');
		   buffer::str( '<p><img src="'.$img_chk_on.'" alt="ok" />&nbsp;<strong>'.__('File').' '.$temp_dir.'cc_big.png'.' '.__('successfully created').'</strong></p>');
		 }
		 
		 if($res_img_somerights20 != false)
		 {
		 
		   buffer::str( '<p><img src="'.$img_chk_wrn.'" alt="warning" />&nbsp;<strong>'.__('Unable to create').' : '.$temp_dir.'somerights20.png'.' '.__('already exists or creation error').'</strong></p>');
		 
		 }else{
		 
		   files::copyRemote($images_dir.'/somerights20.png',$temp_dir.'somerights20.png');
		   buffer::str( '<p><img src="'.$img_chk_on.'" alt="ok" />&nbsp;<strong>'.__('File').' '.$temp_dir.'somerights20.png'.' '.__('successfully created').'</strong></p>');
		 }
		 
		 
		 
                if ($sql_check->checkWarnings()) {
                       
                   buffer::str('<p>'.__('This plugin will run properly even if warnings are issued.').'</p>');
                }
                
                 //header('Location: ' . $plugin_url . '&amp;mode=list');
		
        }
}
buffer::str('<a href="' . $plugin_url . '&amp;mode=list">' . __('Back to').'&nbsp;'.$plugin_name.'&nbsp;'.__ ('plugin home') . '</a><br /><br />');
?>
